Subject: Re: 425 Can't create data socket (0.0.0.0,20): Bad file number

From: [email-masked]
Date: Tue, 22 Oct 1996 10:37:16 +0100 (BST)

On Solaris 2 use the truss command to see what is happening to the ftpd pid.
E.g. on your ftp server for each connection you get a pid like this:

root 25235   136  0 10:34:02 ?        0:00 ftpd -la

If you use:

truss -t open -p 25235

you will see which files it tries to open and maybe which files are missing
or have the wrong permissions.

> Thanks for the replies, unfortunately I have created those devices.  I
> think they are correct.  I tried different permissions on the
> ~ftp/dev/directory itself but to no avail.:
> 
> # ls -l ~ftp/dev
> total 4
> d--x--x--x   2 root     other        512 Oct 21 12:05 ./
> drwxr-xr-x   9 root     other        512 Oct 21 16:05 ../
> crw-rw-rw-   1 root     other     11, 42 Oct 21 12:05 tcp
> cr--r--r--   1 root     other     13, 12 Oct 21 12:05 zero
>